Sie sind nicht angemeldet.

  • »runningriot« ist der Autor dieses Themas

Beiträge: 1

Registrierungsdatum: 23.01.2013

Derivat: Ubuntu

Architektur: 32-Bit PC

Desktop: GNOME 2.x

  • Nachricht senden

1

01.02.2013, 23:13

Programminstallation schlägt fehl

Guten Abend,
ich versuche mich gerade in Assembler-Programmierung.
Dazu wollte ich einen Simulator installieren und bin dabei auf GNUSim
gestoßen.
Mein SoftwareCenter funktioniert seit Tagen nicht weßhalb ich die Installation mit dem Terminal machen wollte.
Hier das was bei mir dann angezeigt wird:

sudo apt-get install GNUSim8085
Paketlisten werden gelesen... Fehler!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/de.archive.ubuntu.com_ubuntu_dists_quantal_universe_i18n_Translation-en
E: Die Paketliste oder die Statusdatei konnte nicht eingelesen oder geöffnet werden.

Ich habe mir dann die .deb runtergeladen und bei der Installation wird das angezeigt:

sudo dpkg -i /home/nick/Downloads/gnusim.deb
(Lese Datenbank ... 154679 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Ersetzen von gnusim8085 1.3.7-1~hardy1 (durch .../home/nick/Downloads/gnusim.deb) ...
Ersatz für gnusim8085 wird entpackt ...
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von gnusim8085:
gnusim8085 hängt ab von libgtksourceview2.0-0 (>= 2.2.0); aber:
Paket libgtksourceview2.0-0 ist nicht installiert.

dpkg: Fehler beim Bearbeiten von gnusim8085 (--install):
Abhängigkeitsprobleme - verbleibt unkonfiguriert
Trigger für man-db werden verarbeitet ...
Trigger für hicolor-icon-theme werden verarbeitet ...
Trigger für desktop-file-utils werden verarbeitet ...
Trigger für bamfdaemon werden verarbeitet ...
Rebuilding /usr/share/applications/bamf.index...
Trigger für gnome-menus werden verarbeitet ...
Fehler traten auf beim Bearbeiten von:
gnusim8085

Das
Problem ist, dass ich libgtksourceview2.0-0 nicht herunterladen kann,
wegen dem schon oben genannten Problem (ich kann gar nichts mehr
installieren).

Ich bitte um schnelle Hilfe.

--
Verschoben von Fredl aus " Installation und Versions-Upgrades von Ubuntu » Probleme bei der Ubuntu-Installation". Bitte unsere Forenstruktur beachten, danke!
Siehe auch ...

Beiträge: 456

Registrierungsdatum: 14.03.2011

Derivat: Lubuntu

Architektur: 64-Bit PC

  • Nachricht senden

2

03.02.2013, 23:42

Hallo,

ich rate Leuten, die sich mit der Materie Computer etwas mehr beschäftigen, das Software-Verwaltungsprogramm Synaptic. Es ist zuverlässiger.

Quellcode

1
sudo apt-get install synaptic

Zu deinem speziellen Problem: Vielleicht hilft es die Paketqellen neu einzulese:

Quellcode

1
sudo apt-get update


Gruß,
schmetterling

3

03.02.2013, 23:51

Zitat

dpkg: Abhängigkeitsprobleme verhindern Konfiguration von gnusim8085:
prüft alle Abhängigkeiten
#sudo apt-get install -f#

wenn danach ne Fehlermeldung kommt muss aber nicht
#sudo dpkg --configure -a#

Aufräumen
#sudo apt-get autoclean#

noch mal updaten
#sudo apt-get update#

Gruss Phanom

  • »stueliueli« ist männlich

Beiträge: 177

Registrierungsdatum: 21.08.2012

Derivat: Ubuntu

Architektur: 64-Bit PC

Desktop: Unity

Andere Betriebssysteme: von allem ein bisschen ;)

  • Nachricht senden

4

04.02.2013, 11:11

zur Klarheit, was genau Phanom meint:



Zitat

prüft alle Abhängigkeiten

Quellcode

1
sudo apt-get install -f


wenn danach ne Fehlermeldung kommt muss aber nicht

Quellcode

1
sudo dpkg --configure -a


Aufräumen

Quellcode

1
sudo apt-get autoclean


noch mal updaten

Quellcode

1
sudo apt-get update


Codetags werden mit [code ] eingeleitet und mit [/code] abgeschlossen, nicht mit #
Du kannst die Betreffenden Bereiche markieren und dann mit einem klick auf den #-Button oben am Fenster in codetags einschliessen

Gruss Manu
Lameness is not a reason for suicide, but posing with eliteness is a reason for murders...

You say evolution is just a theory? Well, so is gravity. Come on, fly away!

5

05.02.2013, 10:17

Solange die Paketverwaltung eine defekte Datei einliest, kann sie auch mit keinem noch so guten Frontend funktionieren.
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/de.archive.ubuntu.com_ubuntu_dists_quantal_universe_i18n_Translation-en
E: Die Paketliste oder die Statusdatei konnte nicht eingelesen oder geöffnet werden.

Benenne die Datei einmal um und versuche sie neu zu bekommen:

Quellcode

1
2
sudo mv /var/lib/apt/lists/de.archive.ubuntu.com_ubuntu_dists_quantal_universe_i18n_Translation-en /var/lib/apt/lists/XXX-de.archive.ubuntu.com_ubuntu_dists_quantal_universe_i18n_Translation-en
sudo apt-get update
Wenn deine Paketverwaltung danach wieder normal funktioniert, kannst du die Sicherungskopie löschen:

Quellcode

1
sudo rm /var/lib/apt/lists/XXX-de.archive.ubuntu.com_ubuntu_dists_quantal_universe_i18n_Translation-en
mir is wurscht